//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "StaticTextCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWStaticTextCtrl::VWStaticTextCtrl(TControlID id)
: VWControl( id )
{
}

VWStaticTextCtrl::~VWStaticTextCtrl()
{
}

bool VWStaticTextCtrl::CreateControl(VWDialog* pDlg, const TXString& text, short widthInCharacters/*=-1*/)
{
	::GS_CreateStaticText( gCBP, pDlg->GetControlID(), fControlID, text, widthInCharacters );
	return VWControl::CreateControl( pDlg );
}

